Skip to content
Developer

CRMProjectItem

Tickets and projects5 EndpointsCRM / CRMProjectItem

This method will get all CRMProjectItem Objects

GET/api/crm/crmprojectitems

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of CRMProjectItem objectsarray<CRMProjectItem>

Show fields (56)
  • idinteger

    Primary key of the mapped billing item. Internal ID.

  • namestringrequired

    Name of the billing item.

  • descriptionstringrequired

    Description of the billing item shown to the customer.

  • internal_descriptionstring

    Internal description of the billing item, not shown to the customer.

  • fixed_hoursnumber (float)

    Fixed number of hours billed.

  • fixed_pricenumber (float)

    Fixed price billed.

  • fixed_price_base_unitnumber (float)

    Base unit for the fixed price.

  • price_fixed_hoursnumber (float)

    Price for the fixed hours.

  • price_additional_hoursnumber (float)

    Price for each additional hour.

  • name_additional_hoursstring

    Name of the additional hours item.

  • description_additional_hoursstring

    Description of the additional hours item.

  • time_billed_on_ticket_closeboolean

    Whether the time is billed when the ticket is closed.

  • billing_typeBillingItemType

    Billing item type.

    Show fields (12)
    • idinteger

      Primary key of the billing item type. Internal ID.

    • namestring

      Name of the billing item type.

    • fixed_price_addon_one_namestring

      Name of the first fixed price addon.

    • fixed_price_addon_two_namestring

      Name of the second fixed price addon.

    • fixed_price_addon_one_name_personstring

      Name of the first fixed price addon for persons.

    • fixed_price_addon_two_name_personstring

      Name of the second fixed price addon for persons.

    • categorystringrequired

      Category of the billing item type.

      Allowed: project subscription bookable event shipping location

    • typestringrequired

      Type of the billing item type.

      Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

    • unitstring

      Unit of the billing item type, for example piece or hour.

    • force_repeatingboolean

      Items of this type always repeat.

    • can_repeatboolean

      Items of this type can repeat.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • buying_pricenumber (float)

    Purchase price of the item.

  • recurrenceCRMRecurrence

    Recurrence the billing item follows.

    Show fields (9)
    • idinteger

      Primary key of the recurrence. Internal ID.

    • namestring

      Name of the recurrence, for example monthly.

    • onceboolean

      The recurrence happens only once.

    • allow_partial_on_eq_start_billingboolean

      Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

    • date_stringstring

      Date pattern of the recurrence as text.

    • tolerancenumber (float)

      Tolerance in days around the recurrence date.

    • deletedboolean

      The recurrence is deleted.

    • rounding_stepsinteger

      Steps used to round the recurrence.

    • month_factorinteger

      Number of months between two recurrences.

  • deletedboolean

    Whether the billing item is deleted.

  • condition_date_afterstring (date-time)

    The item applies only to dates after this date.

  • condition_date_beforestring (date-time)

    The item applies only to dates before this date.

  • condition_country_codestring

    Country code the item applies to.

  • condition_zip_code_fromstring

    Start of the postal code range the item applies to.

  • condition_zip_code_tostring

    End of the postal code range the item applies to.

  • condition_time_after_hourinteger

    The item applies only after this hour of the day.

  • condition_max_lengthinteger

    Maximum length the item applies to.

  • condition_time_before_hourinteger

    The item applies only before this hour of the day.

  • condition_sub_access_tagAccessTag

    Access tag a subscription must have for the item to apply.

    Show fields (6)
    • idinteger

      Primary key of the access tag. Internal ID, used as the reference in access rights.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

  • condition_show_despite_missing_access_tagboolean

    Whether the item is shown even if the access tag is missing.

  • condition_sub_free_logicstring

    Free-form condition logic for the subscription.

  • fixed_price_logicstring

    Free-form logic that calculates the fixed price.

  • sub_self_service_addboolean

    Whether members can add the subscription themselves.

  • sub_self_service_deleteboolean

    Whether members can cancel the subscription themselves.

  • sub_self_service_add_fixed_pricenumber (float)

    Fixed price charged when members add the subscription themselves.

  • sub_self_service_delete_fixed_pricenumber (float)

    Fixed price charged when members cancel the subscription themselves.

  • sub_pre_paidboolean

    Whether the subscription is paid in advance.

  • sub_only_billed_after_startboolean

    Whether the subscription is only billed after its start date.

  • sub_people_age_group_oneinteger

    Upper age limit of age group one.

  • sub_people_age_group_one_discountinteger

    Discount in percent for age group one.

  • sub_people_age_group_one_freeinteger

    Number of free places for age group one.

  • sub_people_age_group_twointeger

    Upper age limit of age group two.

  • sub_people_age_group_two_discountinteger

    Discount in percent for age group two.

  • sub_people_age_group_two_freeinteger

    Number of free places for age group two.

  • sub_people_age_group_threeinteger

    Upper age limit of age group three.

  • sub_people_age_group_three_discountinteger

    Discount in percent for age group three.

  • sub_people_age_group_three_freeinteger

    Number of free places for age group three.

  • sub_people_age_group_fourinteger

    Upper age limit of age group four.

  • sub_people_age_group_four_discountinteger

    Discount in percent for age group four.

  • sub_people_age_group_four_freeinteger

    Number of free places for age group four.

  • price_is_bruttoboolean

    Whether the prices are gross prices including tax.

  • skustring

    Artikelnummer (Stock Keeping Unit)

  • barcodestring

    Barcode (ISBN, UPC, GTIN usw.)

  • projectCRMProject5

    Project the item belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • offerOffer

    Offer the item was taken from.

    Show fields (33)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem>

      Items of the offer.

    • buyerOfferBuyer

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject5

      Project the offer belongs to.

    • invoicesarray<Invoice12>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp10

      Sign-up the offer was created for.

  • startstring (date-time)

    Start of the billed service.

  • endstring (date-time)

    End of the billed service.

  • billedstring (date-time)

    Time the item was billed.

  • quantitynumber (float)required

    Quantity of the item.

  • goodwillboolean

    The item is a goodwill item and is not charged.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectitems \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "description": "Text",
    "quantity": 1.5,
    "id": 42,
    "internal_description": "Text",
    "fixed_hours": 1.5,
    "fixed_price": 49.9,
    "fixed_price_base_unit": 49.9,
    "price_fixed_hours": 49.9,
    "price_additional_hours": 49.9
  }
]

Add a new CRMProjectItem

POST/api/crm/crmprojectitems

Responses

200Add a new CRMProjectItemCRMProjectItem2

Show fields (56)
  • idinteger

    Primary key of the mapped billing item. Internal ID.

  • namestringrequired

    Name of the billing item.

  • descriptionstringrequired

    Description of the billing item shown to the customer.

  • internal_descriptionstring

    Internal description of the billing item, not shown to the customer.

  • fixed_hoursnumber (float)

    Fixed number of hours billed.

  • fixed_pricenumber (float)

    Fixed price billed.

  • fixed_price_base_unitnumber (float)

    Base unit for the fixed price.

  • price_fixed_hoursnumber (float)

    Price for the fixed hours.

  • price_additional_hoursnumber (float)

    Price for each additional hour.

  • name_additional_hoursstring

    Name of the additional hours item.

  • description_additional_hoursstring

    Description of the additional hours item.

  • time_billed_on_ticket_closeboolean

    Whether the time is billed when the ticket is closed.

  • billing_typeBillingItemType

    Billing item type.

    Show fields (12)
    • idinteger

      Primary key of the billing item type. Internal ID.

    • namestring

      Name of the billing item type.

    • fixed_price_addon_one_namestring

      Name of the first fixed price addon.

    • fixed_price_addon_two_namestring

      Name of the second fixed price addon.

    • fixed_price_addon_one_name_personstring

      Name of the first fixed price addon for persons.

    • fixed_price_addon_two_name_personstring

      Name of the second fixed price addon for persons.

    • categorystringrequired

      Category of the billing item type.

      Allowed: project subscription bookable event shipping location

    • typestringrequired

      Type of the billing item type.

      Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

    • unitstring

      Unit of the billing item type, for example piece or hour.

    • force_repeatingboolean

      Items of this type always repeat.

    • can_repeatboolean

      Items of this type can repeat.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • buying_pricenumber (float)

    Purchase price of the item.

  • recurrenceCRMRecurrence

    Recurrence the billing item follows.

    Show fields (9)
    • idinteger

      Primary key of the recurrence. Internal ID.

    • namestring

      Name of the recurrence, for example monthly.

    • onceboolean

      The recurrence happens only once.

    • allow_partial_on_eq_start_billingboolean

      Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

    • date_stringstring

      Date pattern of the recurrence as text.

    • tolerancenumber (float)

      Tolerance in days around the recurrence date.

    • deletedboolean

      The recurrence is deleted.

    • rounding_stepsinteger

      Steps used to round the recurrence.

    • month_factorinteger

      Number of months between two recurrences.

  • deletedboolean

    Whether the billing item is deleted.

  • condition_date_afterstring (date-time)

    The item applies only to dates after this date.

  • condition_date_beforestring (date-time)

    The item applies only to dates before this date.

  • condition_country_codestring

    Country code the item applies to.

  • condition_zip_code_fromstring

    Start of the postal code range the item applies to.

  • condition_zip_code_tostring

    End of the postal code range the item applies to.

  • condition_time_after_hourinteger

    The item applies only after this hour of the day.

  • condition_max_lengthinteger

    Maximum length the item applies to.

  • condition_time_before_hourinteger

    The item applies only before this hour of the day.

  • condition_sub_access_tagAccessTag

    Access tag a subscription must have for the item to apply.

    Show fields (6)
    • idinteger

      Primary key of the access tag. Internal ID, used as the reference in access rights.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

  • condition_show_despite_missing_access_tagboolean

    Whether the item is shown even if the access tag is missing.

  • condition_sub_free_logicstring

    Free-form condition logic for the subscription.

  • fixed_price_logicstring

    Free-form logic that calculates the fixed price.

  • sub_self_service_addboolean

    Whether members can add the subscription themselves.

  • sub_self_service_deleteboolean

    Whether members can cancel the subscription themselves.

  • sub_self_service_add_fixed_pricenumber (float)

    Fixed price charged when members add the subscription themselves.

  • sub_self_service_delete_fixed_pricenumber (float)

    Fixed price charged when members cancel the subscription themselves.

  • sub_pre_paidboolean

    Whether the subscription is paid in advance.

  • sub_only_billed_after_startboolean

    Whether the subscription is only billed after its start date.

  • sub_people_age_group_oneinteger

    Upper age limit of age group one.

  • sub_people_age_group_one_discountinteger

    Discount in percent for age group one.

  • sub_people_age_group_one_freeinteger

    Number of free places for age group one.

  • sub_people_age_group_twointeger

    Upper age limit of age group two.

  • sub_people_age_group_two_discountinteger

    Discount in percent for age group two.

  • sub_people_age_group_two_freeinteger

    Number of free places for age group two.

  • sub_people_age_group_threeinteger

    Upper age limit of age group three.

  • sub_people_age_group_three_discountinteger

    Discount in percent for age group three.

  • sub_people_age_group_three_freeinteger

    Number of free places for age group three.

  • sub_people_age_group_fourinteger

    Upper age limit of age group four.

  • sub_people_age_group_four_discountinteger

    Discount in percent for age group four.

  • sub_people_age_group_four_freeinteger

    Number of free places for age group four.

  • price_is_bruttoboolean

    Whether the prices are gross prices including tax.

  • skustring

    Artikelnummer (Stock Keeping Unit)

  • barcodestring

    Barcode (ISBN, UPC, GTIN usw.)

  • projectCRMProject

    Project the item belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • offerOffer2

    Offer the item was taken from.

    Show fields (31)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem2>

      Items of the offer.

    • buyerOfferBuyer2

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject

      Project the offer belongs to.

  • startstring (date-time)

    Start of the billed service.

  • endstring (date-time)

    End of the billed service.

  • billedstring (date-time)

    Time the item was billed.

  • quantitynumber (float)required

    Quantity of the item.

  • goodwillboolean

    The item is a goodwill item and is not charged.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectitems \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "description": "Text",
  "quantity": 1.5,
  "id": 42,
  "internal_description": "Text",
  "fixed_hours": 1.5,
  "fixed_price": 49.9,
  "fixed_price_base_unit": 49.9,
  "price_fixed_hours": 49.9,
  "price_additional_hours": 49.9
}

This method will get a single CRMProjectItem Object with the given id

GET/api/crm/crmprojectitems/{id}

Path parameters

idrequiredstring

Responses

200Returns a single CRMProjectItemCRMProjectItem

Show fields (56)
  • idinteger

    Primary key of the mapped billing item. Internal ID.

  • namestringrequired

    Name of the billing item.

  • descriptionstringrequired

    Description of the billing item shown to the customer.

  • internal_descriptionstring

    Internal description of the billing item, not shown to the customer.

  • fixed_hoursnumber (float)

    Fixed number of hours billed.

  • fixed_pricenumber (float)

    Fixed price billed.

  • fixed_price_base_unitnumber (float)

    Base unit for the fixed price.

  • price_fixed_hoursnumber (float)

    Price for the fixed hours.

  • price_additional_hoursnumber (float)

    Price for each additional hour.

  • name_additional_hoursstring

    Name of the additional hours item.

  • description_additional_hoursstring

    Description of the additional hours item.

  • time_billed_on_ticket_closeboolean

    Whether the time is billed when the ticket is closed.

  • billing_typeBillingItemType

    Billing item type.

    Show fields (12)
    • idinteger

      Primary key of the billing item type. Internal ID.

    • namestring

      Name of the billing item type.

    • fixed_price_addon_one_namestring

      Name of the first fixed price addon.

    • fixed_price_addon_two_namestring

      Name of the second fixed price addon.

    • fixed_price_addon_one_name_personstring

      Name of the first fixed price addon for persons.

    • fixed_price_addon_two_name_personstring

      Name of the second fixed price addon for persons.

    • categorystringrequired

      Category of the billing item type.

      Allowed: project subscription bookable event shipping location

    • typestringrequired

      Type of the billing item type.

      Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

    • unitstring

      Unit of the billing item type, for example piece or hour.

    • force_repeatingboolean

      Items of this type always repeat.

    • can_repeatboolean

      Items of this type can repeat.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • buying_pricenumber (float)

    Purchase price of the item.

  • recurrenceCRMRecurrence

    Recurrence the billing item follows.

    Show fields (9)
    • idinteger

      Primary key of the recurrence. Internal ID.

    • namestring

      Name of the recurrence, for example monthly.

    • onceboolean

      The recurrence happens only once.

    • allow_partial_on_eq_start_billingboolean

      Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

    • date_stringstring

      Date pattern of the recurrence as text.

    • tolerancenumber (float)

      Tolerance in days around the recurrence date.

    • deletedboolean

      The recurrence is deleted.

    • rounding_stepsinteger

      Steps used to round the recurrence.

    • month_factorinteger

      Number of months between two recurrences.

  • deletedboolean

    Whether the billing item is deleted.

  • condition_date_afterstring (date-time)

    The item applies only to dates after this date.

  • condition_date_beforestring (date-time)

    The item applies only to dates before this date.

  • condition_country_codestring

    Country code the item applies to.

  • condition_zip_code_fromstring

    Start of the postal code range the item applies to.

  • condition_zip_code_tostring

    End of the postal code range the item applies to.

  • condition_time_after_hourinteger

    The item applies only after this hour of the day.

  • condition_max_lengthinteger

    Maximum length the item applies to.

  • condition_time_before_hourinteger

    The item applies only before this hour of the day.

  • condition_sub_access_tagAccessTag

    Access tag a subscription must have for the item to apply.

    Show fields (6)
    • idinteger

      Primary key of the access tag. Internal ID, used as the reference in access rights.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

  • condition_show_despite_missing_access_tagboolean

    Whether the item is shown even if the access tag is missing.

  • condition_sub_free_logicstring

    Free-form condition logic for the subscription.

  • fixed_price_logicstring

    Free-form logic that calculates the fixed price.

  • sub_self_service_addboolean

    Whether members can add the subscription themselves.

  • sub_self_service_deleteboolean

    Whether members can cancel the subscription themselves.

  • sub_self_service_add_fixed_pricenumber (float)

    Fixed price charged when members add the subscription themselves.

  • sub_self_service_delete_fixed_pricenumber (float)

    Fixed price charged when members cancel the subscription themselves.

  • sub_pre_paidboolean

    Whether the subscription is paid in advance.

  • sub_only_billed_after_startboolean

    Whether the subscription is only billed after its start date.

  • sub_people_age_group_oneinteger

    Upper age limit of age group one.

  • sub_people_age_group_one_discountinteger

    Discount in percent for age group one.

  • sub_people_age_group_one_freeinteger

    Number of free places for age group one.

  • sub_people_age_group_twointeger

    Upper age limit of age group two.

  • sub_people_age_group_two_discountinteger

    Discount in percent for age group two.

  • sub_people_age_group_two_freeinteger

    Number of free places for age group two.

  • sub_people_age_group_threeinteger

    Upper age limit of age group three.

  • sub_people_age_group_three_discountinteger

    Discount in percent for age group three.

  • sub_people_age_group_three_freeinteger

    Number of free places for age group three.

  • sub_people_age_group_fourinteger

    Upper age limit of age group four.

  • sub_people_age_group_four_discountinteger

    Discount in percent for age group four.

  • sub_people_age_group_four_freeinteger

    Number of free places for age group four.

  • price_is_bruttoboolean

    Whether the prices are gross prices including tax.

  • skustring

    Artikelnummer (Stock Keeping Unit)

  • barcodestring

    Barcode (ISBN, UPC, GTIN usw.)

  • projectCRMProject5

    Project the item belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • offerOffer

    Offer the item was taken from.

    Show fields (33)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem>

      Items of the offer.

    • buyerOfferBuyer

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject5

      Project the offer belongs to.

    • invoicesarray<Invoice12>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp10

      Sign-up the offer was created for.

  • startstring (date-time)

    Start of the billed service.

  • endstring (date-time)

    End of the billed service.

  • billedstring (date-time)

    Time the item was billed.

  • quantitynumber (float)required

    Quantity of the item.

  • goodwillboolean

    The item is a goodwill item and is not charged.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "description": "Text",
  "quantity": 1.5,
  "id": 42,
  "internal_description": "Text",
  "fixed_hours": 1.5,
  "fixed_price": 49.9,
  "fixed_price_base_unit": 49.9,
  "price_fixed_hours": 49.9,
  "price_additional_hours": 49.9
}

This method will update a CRMProjectItem Object

PUT/api/crm/crmprojectitems/{id}

Path parameters

idrequiredstring

Responses

200Update a CRMProjectItemCRMProjectItem

Show fields (56)
  • idinteger

    Primary key of the mapped billing item. Internal ID.

  • namestringrequired

    Name of the billing item.

  • descriptionstringrequired

    Description of the billing item shown to the customer.

  • internal_descriptionstring

    Internal description of the billing item, not shown to the customer.

  • fixed_hoursnumber (float)

    Fixed number of hours billed.

  • fixed_pricenumber (float)

    Fixed price billed.

  • fixed_price_base_unitnumber (float)

    Base unit for the fixed price.

  • price_fixed_hoursnumber (float)

    Price for the fixed hours.

  • price_additional_hoursnumber (float)

    Price for each additional hour.

  • name_additional_hoursstring

    Name of the additional hours item.

  • description_additional_hoursstring

    Description of the additional hours item.

  • time_billed_on_ticket_closeboolean

    Whether the time is billed when the ticket is closed.

  • billing_typeBillingItemType

    Billing item type.

    Show fields (12)
    • idinteger

      Primary key of the billing item type. Internal ID.

    • namestring

      Name of the billing item type.

    • fixed_price_addon_one_namestring

      Name of the first fixed price addon.

    • fixed_price_addon_two_namestring

      Name of the second fixed price addon.

    • fixed_price_addon_one_name_personstring

      Name of the first fixed price addon for persons.

    • fixed_price_addon_two_name_personstring

      Name of the second fixed price addon for persons.

    • categorystringrequired

      Category of the billing item type.

      Allowed: project subscription bookable event shipping location

    • typestringrequired

      Type of the billing item type.

      Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

    • unitstring

      Unit of the billing item type, for example piece or hour.

    • force_repeatingboolean

      Items of this type always repeat.

    • can_repeatboolean

      Items of this type can repeat.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • buying_pricenumber (float)

    Purchase price of the item.

  • recurrenceCRMRecurrence

    Recurrence the billing item follows.

    Show fields (9)
    • idinteger

      Primary key of the recurrence. Internal ID.

    • namestring

      Name of the recurrence, for example monthly.

    • onceboolean

      The recurrence happens only once.

    • allow_partial_on_eq_start_billingboolean

      Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

    • date_stringstring

      Date pattern of the recurrence as text.

    • tolerancenumber (float)

      Tolerance in days around the recurrence date.

    • deletedboolean

      The recurrence is deleted.

    • rounding_stepsinteger

      Steps used to round the recurrence.

    • month_factorinteger

      Number of months between two recurrences.

  • deletedboolean

    Whether the billing item is deleted.

  • condition_date_afterstring (date-time)

    The item applies only to dates after this date.

  • condition_date_beforestring (date-time)

    The item applies only to dates before this date.

  • condition_country_codestring

    Country code the item applies to.

  • condition_zip_code_fromstring

    Start of the postal code range the item applies to.

  • condition_zip_code_tostring

    End of the postal code range the item applies to.

  • condition_time_after_hourinteger

    The item applies only after this hour of the day.

  • condition_max_lengthinteger

    Maximum length the item applies to.

  • condition_time_before_hourinteger

    The item applies only before this hour of the day.

  • condition_sub_access_tagAccessTag

    Access tag a subscription must have for the item to apply.

    Show fields (6)
    • idinteger

      Primary key of the access tag. Internal ID, used as the reference in access rights.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

  • condition_show_despite_missing_access_tagboolean

    Whether the item is shown even if the access tag is missing.

  • condition_sub_free_logicstring

    Free-form condition logic for the subscription.

  • fixed_price_logicstring

    Free-form logic that calculates the fixed price.

  • sub_self_service_addboolean

    Whether members can add the subscription themselves.

  • sub_self_service_deleteboolean

    Whether members can cancel the subscription themselves.

  • sub_self_service_add_fixed_pricenumber (float)

    Fixed price charged when members add the subscription themselves.

  • sub_self_service_delete_fixed_pricenumber (float)

    Fixed price charged when members cancel the subscription themselves.

  • sub_pre_paidboolean

    Whether the subscription is paid in advance.

  • sub_only_billed_after_startboolean

    Whether the subscription is only billed after its start date.

  • sub_people_age_group_oneinteger

    Upper age limit of age group one.

  • sub_people_age_group_one_discountinteger

    Discount in percent for age group one.

  • sub_people_age_group_one_freeinteger

    Number of free places for age group one.

  • sub_people_age_group_twointeger

    Upper age limit of age group two.

  • sub_people_age_group_two_discountinteger

    Discount in percent for age group two.

  • sub_people_age_group_two_freeinteger

    Number of free places for age group two.

  • sub_people_age_group_threeinteger

    Upper age limit of age group three.

  • sub_people_age_group_three_discountinteger

    Discount in percent for age group three.

  • sub_people_age_group_three_freeinteger

    Number of free places for age group three.

  • sub_people_age_group_fourinteger

    Upper age limit of age group four.

  • sub_people_age_group_four_discountinteger

    Discount in percent for age group four.

  • sub_people_age_group_four_freeinteger

    Number of free places for age group four.

  • price_is_bruttoboolean

    Whether the prices are gross prices including tax.

  • skustring

    Artikelnummer (Stock Keeping Unit)

  • barcodestring

    Barcode (ISBN, UPC, GTIN usw.)

  • projectCRMProject5

    Project the item belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • offerOffer

    Offer the item was taken from.

    Show fields (33)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem>

      Items of the offer.

    • buyerOfferBuyer

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject5

      Project the offer belongs to.

    • invoicesarray<Invoice12>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp10

      Sign-up the offer was created for.

  • startstring (date-time)

    Start of the billed service.

  • endstring (date-time)

    End of the billed service.

  • billedstring (date-time)

    Time the item was billed.

  • quantitynumber (float)required

    Quantity of the item.

  • goodwillboolean

    The item is a goodwill item and is not charged.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "description": "Text",
  "quantity": 1.5,
  "id": 42,
  "internal_description": "Text",
  "fixed_hours": 1.5,
  "fixed_price": 49.9,
  "fixed_price_base_unit": 49.9,
  "price_fixed_hours": 49.9,
  "price_additional_hours": 49.9
}

This method will update a CRMProjectItem Object

PATCH/api/crm/crmprojectitems/{id}

Path parameters

idrequiredstring

Responses

200Update a CRMProjectItemCRMProjectItem

Show fields (56)
  • idinteger

    Primary key of the mapped billing item. Internal ID.

  • namestringrequired

    Name of the billing item.

  • descriptionstringrequired

    Description of the billing item shown to the customer.

  • internal_descriptionstring

    Internal description of the billing item, not shown to the customer.

  • fixed_hoursnumber (float)

    Fixed number of hours billed.

  • fixed_pricenumber (float)

    Fixed price billed.

  • fixed_price_base_unitnumber (float)

    Base unit for the fixed price.

  • price_fixed_hoursnumber (float)

    Price for the fixed hours.

  • price_additional_hoursnumber (float)

    Price for each additional hour.

  • name_additional_hoursstring

    Name of the additional hours item.

  • description_additional_hoursstring

    Description of the additional hours item.

  • time_billed_on_ticket_closeboolean

    Whether the time is billed when the ticket is closed.

  • billing_typeBillingItemType

    Billing item type.

    Show fields (12)
    • idinteger

      Primary key of the billing item type. Internal ID.

    • namestring

      Name of the billing item type.

    • fixed_price_addon_one_namestring

      Name of the first fixed price addon.

    • fixed_price_addon_two_namestring

      Name of the second fixed price addon.

    • fixed_price_addon_one_name_personstring

      Name of the first fixed price addon for persons.

    • fixed_price_addon_two_name_personstring

      Name of the second fixed price addon for persons.

    • categorystringrequired

      Category of the billing item type.

      Allowed: project subscription bookable event shipping location

    • typestringrequired

      Type of the billing item type.

      Allowed: subscription bookable-hour event-fixed sla hours days fixed internal

    • unitstring

      Unit of the billing item type, for example piece or hour.

    • force_repeatingboolean

      Items of this type always repeat.

    • can_repeatboolean

      Items of this type can repeat.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • buying_pricenumber (float)

    Purchase price of the item.

  • recurrenceCRMRecurrence

    Recurrence the billing item follows.

    Show fields (9)
    • idinteger

      Primary key of the recurrence. Internal ID.

    • namestring

      Name of the recurrence, for example monthly.

    • onceboolean

      The recurrence happens only once.

    • allow_partial_on_eq_start_billingboolean

      Allows partial billing if start and billed date are equal. primarily used for the first billing of a yearly contract

    • date_stringstring

      Date pattern of the recurrence as text.

    • tolerancenumber (float)

      Tolerance in days around the recurrence date.

    • deletedboolean

      The recurrence is deleted.

    • rounding_stepsinteger

      Steps used to round the recurrence.

    • month_factorinteger

      Number of months between two recurrences.

  • deletedboolean

    Whether the billing item is deleted.

  • condition_date_afterstring (date-time)

    The item applies only to dates after this date.

  • condition_date_beforestring (date-time)

    The item applies only to dates before this date.

  • condition_country_codestring

    Country code the item applies to.

  • condition_zip_code_fromstring

    Start of the postal code range the item applies to.

  • condition_zip_code_tostring

    End of the postal code range the item applies to.

  • condition_time_after_hourinteger

    The item applies only after this hour of the day.

  • condition_max_lengthinteger

    Maximum length the item applies to.

  • condition_time_before_hourinteger

    The item applies only before this hour of the day.

  • condition_sub_access_tagAccessTag

    Access tag a subscription must have for the item to apply.

    Show fields (6)
    • idinteger

      Primary key of the access tag. Internal ID, used as the reference in access rights.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • short_identifierstring

      Short identifier of the entity.

  • condition_show_despite_missing_access_tagboolean

    Whether the item is shown even if the access tag is missing.

  • condition_sub_free_logicstring

    Free-form condition logic for the subscription.

  • fixed_price_logicstring

    Free-form logic that calculates the fixed price.

  • sub_self_service_addboolean

    Whether members can add the subscription themselves.

  • sub_self_service_deleteboolean

    Whether members can cancel the subscription themselves.

  • sub_self_service_add_fixed_pricenumber (float)

    Fixed price charged when members add the subscription themselves.

  • sub_self_service_delete_fixed_pricenumber (float)

    Fixed price charged when members cancel the subscription themselves.

  • sub_pre_paidboolean

    Whether the subscription is paid in advance.

  • sub_only_billed_after_startboolean

    Whether the subscription is only billed after its start date.

  • sub_people_age_group_oneinteger

    Upper age limit of age group one.

  • sub_people_age_group_one_discountinteger

    Discount in percent for age group one.

  • sub_people_age_group_one_freeinteger

    Number of free places for age group one.

  • sub_people_age_group_twointeger

    Upper age limit of age group two.

  • sub_people_age_group_two_discountinteger

    Discount in percent for age group two.

  • sub_people_age_group_two_freeinteger

    Number of free places for age group two.

  • sub_people_age_group_threeinteger

    Upper age limit of age group three.

  • sub_people_age_group_three_discountinteger

    Discount in percent for age group three.

  • sub_people_age_group_three_freeinteger

    Number of free places for age group three.

  • sub_people_age_group_fourinteger

    Upper age limit of age group four.

  • sub_people_age_group_four_discountinteger

    Discount in percent for age group four.

  • sub_people_age_group_four_freeinteger

    Number of free places for age group four.

  • price_is_bruttoboolean

    Whether the prices are gross prices including tax.

  • skustring

    Artikelnummer (Stock Keeping Unit)

  • barcodestring

    Barcode (ISBN, UPC, GTIN usw.)

  • projectCRMProject5

    Project the item belongs to.

    Show fields (19)
    • idinteger

      Primary key of the project. Internal ID.

    • namestring

      Name of the project.

    • closedstring (date-time)

      Time the project was closed.

    • billedstring (date-time)

      Time the project was billed.

    • numberstring

      Number of the project.

    • startstring (date-time)

      Start of the project.

    • endstring (date-time)

      End of the project.

    • descriptionstring

      Description of the project.

    • companyCRMCompany

      Company the project belongs to.

    • internal_main_contactUser14

      Internal login user who is the main contact.

    • categoryCRMProjectCategory

      Category of the project.

    • archivedboolean

      The project is archived.

    • visible_for_customerboolean

      The project is visible in the customer app.

    • name_for_customerstring

      Name of the project shown to customers.

    • invoice_emailstring

      E-mail address for invoices of the project.

    • time_report_emailstring

      E-mail address for time reports of the project.

    • search_stringstring

      Text that the entity can be searched by.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • offerOffer

    Offer the item was taken from.

    Show fields (33)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem>

      Items of the offer.

    • buyerOfferBuyer

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject5

      Project the offer belongs to.

    • invoicesarray<Invoice12>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp10

      Sign-up the offer was created for.

  • startstring (date-time)

    Start of the billed service.

  • endstring (date-time)

    End of the billed service.

  • billedstring (date-time)

    Time the item was billed.

  • quantitynumber (float)required

    Quantity of the item.

  • goodwillboolean

    The item is a goodwill item and is not charged.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/crmprojectitems/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "description": "Text",
  "quantity": 1.5,
  "id": 42,
  "internal_description": "Text",
  "fixed_hours": 1.5,
  "fixed_price": 49.9,
  "fixed_price_base_unit": 49.9,
  "price_fixed_hours": 49.9,
  "price_additional_hours": 49.9
}